<h1> ThreeFold DePIN Cloud Website</h1>

<h2>Table of Contents</h2>

- [Introductiona](#introductiona)
- [Install Hero](#install-hero)
- [Deploy Locally](#deploy-locally)
- [Push Changes](#push-changes)
- [URL](#url)

---

## Introductiona

This repository contains the code to deploy the ThreeFold DePIN Cloud website.

## Install Hero

```bash
curl https://raw.githubusercontent.com/freeflowuniverse/herolib/refs/heads/development/install_hero.sh > /tmp/install_hero.sh
bash /tmp/install_hero.sh
```

## Deploy Locally

You can run the website in your development environment on a local browser. Make sure to start a new shell if you've just installed Hero.

```
hero docusaurus -u https://git.ourworld.tf/tfgrid/docs_depin -d
```

## Push Changes

- Development
    ```
    hero docusaurus -u https://git.ourworld.tf/tfgrid/docs_depin -bpd
    ```
- Production

    ```bash
    hero docusaurus -u https://git.ourworld.tf/tfgrid/docs_depin -bp
    ```

## URL

- The website in staging mode is at https://dev.threefold.info/depin
- The website in production mode is at https://threefold.info/depin